%define upstream_name    WWW-Google-Cloud-Auth-ServiceAccount
%define upstream_version 1.000002

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Service account based OAuth authentication for Google Cloud APIs
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Carp)
BuildRequires: perl(JSON)
BuildRequires: perl(Crypt::JWT)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::HasDefaults::RO)
BuildRequires: perl(MooseX::StrictConstructor)
BuildRequires: perl(Test::More)
BuildRequires: perl(namespace::autoclean)
BuildArch: noarch

%description
Service account based OAuth authentication for Google Cloud APIs

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%__make test

%install
%make_install

%files
%doc README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.0.2-3.mga10
+ Revision: 2209835
- Mageia 10 Mass Rebuild

* Wed Mar 23 2022 umeabot <umeabot> 1.0.2-2.mga9
+ Revision: 1820728
- Mageia 9 Mass Rebuild

* Sat Jul 17 2021 bcornec <bcornec> 1.0.2-1.mga9
+ Revision: 1736327
- Import perl-WWW-Google-Cloud-Auth-ServiceAccount 1.000002
- Created package structure for perl-WWW-Google-Cloud-Auth-ServiceAccount.

